Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::SequenceProxyPullConsumer Interface Reference

Defines the interface provided for pull-style suppliers using the 'batched' event format. More...

`#include <CosNotifyChannelAdmin.idl>`

Inheritance diagram for CosNotifyChannelAdmin::SequenceProxyPullConsumer

[legend]
Collaboration diagram for CosNotifyChannelAdmin::SequenceProxyPullConsumer:

[legend]
List of all members.

## Public Methods
void | connect_sequence_pull_supplier ( in CosNotifyComm::SequencePullSupplier pull_supplier) raises (CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )
| Connect a supplier to the proxy. More...
void | suspend_connection () raises (ConnectionAlreadyInactive, NotConnected)
| Suspend the connection, the event channel will stop pulling events. More...
void | resume_connection () raises (ConnectionAlreadyActive, NotConnected)
| Resume the connection, the event channel will start pulling events one more. More...

## Detailed Description

Defines the interface provided for pull-style suppliers using the 'batched' event format.

## Member Function Documentation

void CosNotifyChannelAdmin::SequenceProxyPullConsumer::connect_sequence_pull_supplier ( | in CosNotifyComm::SequencePullSupplier pull_supplier ) raises (CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )

  | Connect a supplier to the proxy. The event channel will not pull events from the supplier until this operation is invoked. Parameters:
  pull_supplier | the callback object used to inform the application if the event channel is destroyed.
  Exceptions:
  CORBA::BAD_PARAM | if the pull_supplier argument is nil
  CosEventChannelAdmin::AlreadyConnected | if the proxy is already connected, i.e. if this operation is invoked more than one time.

void CosNotifyChannelAdmin::SequenceProxyPullConsumer::resume_connection ( | ) raises (ConnectionAlreadyActive, NotConnected)

  | Resume the connection, the event channel will start pulling events one more. Exceptions:
  ConnectionAlreadyActive | if the method is invoked while the connection is active
  NotConnected | if the method is invoked before the supplier connects

void CosNotifyChannelAdmin::SequenceProxyPullConsumer::suspend_connection ( | ) raises (ConnectionAlreadyInactive, NotConnected)

  | Suspend the connection, the event channel will stop pulling events. Exceptions:
  ConnectionAlreadyInactive | if the method is invoked while the connection is suspended
  NotConnected | if the method is invoked before the supplier connects

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl